Public Member Functions

# xmlpp::Attribute Class Reference

Represents XML Node attributes. More...

`#include <libxml++/attribute.h>`

Inheritance diagram for xmlpp::Attribute:
[legend]
Collaboration diagram for xmlpp::Attribute:
[legend]

List of all members.

## Public Member Functions
| Attribute (_xmlNode* node)
virtual | ~Attribute ()
Glib::ustring | get_name () const
| Get the name of this attribute.
Glib::ustring | get_value () const
| Get the value of this attribute.
void | set_value (const Glib::ustring& value)
| Set the value of this attribute.
_xmlAttr* | cobj ()
| Access the underlying libxml implementation.
const _xmlAttr* | cobj () const
| Access the underlying libxml implementation.

## Detailed Description

Represents XML Node attributes.

## Constructor & Destructor Documentation

xmlpp::Attribute::Attribute | ( | _xmlNode * | node ) | `[explicit]`

virtual xmlpp::Attribute::~Attribute | ( | ) | `[virtual]`

## Member Function Documentation

_xmlAttr* xmlpp::Attribute::cobj | ( | ) |

Access the underlying libxml implementation.

Reimplemented from xmlpp::Node.

const _xmlAttr* xmlpp::Attribute::cobj | ( | ) | const

Access the underlying libxml implementation.

Reimplemented from xmlpp::Node.

Glib::ustring xmlpp::Attribute::get_name | ( | ) | const

Get the name of this attribute.

See also Node::get_namespace_prefix() and Node::get_namespace_uri()

Returns:
  The attributes's name.

Reimplemented from xmlpp::Node.

Glib::ustring xmlpp::Attribute::get_value | ( | ) | const

Get the value of this attribute.

Returns:
  The attributes's value.

void xmlpp::Attribute::set_value | ( | const Glib::ustring & | value ) |

Set the value of this attribute.

The documentation for this class was generated from the following file:

- attribute.h